CEPH-FUSE(8)

NAME
ceph-fuse - FUSE-based client for ceph

SYNOPSIS
ceph-fuse [ -m monaddr:port ] mountpoint [ fuse options ]

DESCRIPTION

ceph-fuse is a FUSE (File system in USErspace) client for Ceph distributed file system. It will mount a ceph file system (specified via the -m option for described by ceph.conf (see below) at the specific mount point.

The file system can be unmounted with:

fusermount -u mountpoint

or by sending SIGINT to the ceph-fuse process.

OPTIONS

Any options not recognized by ceph-fuse will be passed on to libfuse.

-d  Detach from console and daemonize after startup.

-c ceph.conf, --conf=ceph.conf
    Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

-m monaddress[:port]
    Connect to specified monitor (instead of looking through ceph.conf).

-r root_directory
    Use root_directory as the mounted root, rather than the full Ceph tree.

AVAILABILITY

ceph-fuse is part of the Ceph distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

fusermount(8), ceph(8)

COPYRIGHT
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons BY-SA